You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     bro...@freebsd.org
Last committer: bro...@freebsd.org
Ident:          $FreeBSD: head/emulators/qemu-cheri/Makefile 519848 2019-12-12 
00:02:20Z brooks $
Log URL:        
http://beefy18.nyi.freebsd.org/data/head-amd64-default/p529018_s359264/logs/qemu-cheri-0.d20191209_1.log
Build URL:      
http://beefy18.nyi.freebsd.org/build.html?mastername=head-amd64-default&build=p529018_s359264
Log:

=>> Building emulators/qemu-cheri
build started at Wed Mar 25 08:50:33 UTC 2020
port directory: /usr/ports/emulators/qemu-cheri
package name: qemu-cheri-0.d20191209_1
building for: FreeBSD head-amd64-default-job-09 13.0-CURRENT FreeBSD 
13.0-CURRENT 1300085 amd64
maintained by: bro...@freebsd.org
Makefile ident:      $FreeBSD: head/emulators/qemu-cheri/Makefile 519848 
2019-12-12 00:02:20Z brooks $
Poudriere version: 3.2.8-5-gc81843e5
Host OSVERSION: 1300076
Jail OSVERSION: 1300085
Job Id: 09




!!! Jail is newer than host. (Jail: 1300085, Host: 1300076) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
OSVERSION=1300085
UNAME_v=FreeBSD 13.0-CURRENT 1300085
UNAME_r=13.0-CURRENT
BLOCKSIZE=K
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-5-gc81843e5
MASTERMNT=/usr/local/poudriere/data/.m/head-amd64-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/head-amd64-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=head-amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/head-amd64-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for 
qemu-cheri-0.d20191209_1:
     DOCS=on: Build and/or install documentation
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
bro...@freebsd.org
--End MAINTAINER--

--CONFIGURE_ARGS--
--target-list=cheri128-softmmu,cheri128magic-softmmu,cheri256-softmmu  
--disable-curl  --disable-git-update  --disable-gtk  --disable-linux-user  
--disable-linux-aio  --disable-kvm  --disable-vnc-png  --disable-sdl  
--disable-vte  --disable-xen  --smbd=/usr/local/sbin/smbd  --extra-cflags="-g 
-DCHERI_UNALIGNED"  --localstatedir=/var
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake PKG_CONFIG=pkgconf PYTHON="/usr/local/bin/python3.7" 
XDG_DATA_HOME=/wrkdirs/usr/ports/emulators/qemu-cheri/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/emulators/qemu-cheri/work  
HOME=/wrkdirs/usr/ports/emulators/qemu-cheri/work TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/emulators/qemu-cheri/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 SHELL=/bin/sh CONFIG_SHELL=/bin/sh LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/emulators/qemu-cheri/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/emulators/qemu-cheri/work  
HOME=/wrkdirs/usr/ports/emulators/qemu-cheri/work TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/emulators/qemu-cheri/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 PREFIX=/usr/local  LOCALBASE=/usr/local  
CC="cc" CFLAGS="-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing "  
CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector-strong " LIBS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -fstack-protector-strong -fno-strict-aliasing  "  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTDOCS="" GTK2_VERSION="2.10.0"  GTK3_VERSION="3.0.0" 
PYTHON_INCLUDEDIR=include/python3.7m  PYTHON_LIBDIR=lib/python3.7  
PYTHON_PLATFORM=freebsd13  PYTHON_SITELIBDIR=lib/python3.7/site-packages  
PYTHON_SUFFIX=37  PYTHON_VER=3.7  PYTHON_VERSION=python3.7 PYTHON2="@comment " 
PYTHON3="" OSREL=13.0 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local 
LIB32DIR=lib DOCSDIR="share/doc/qemu"  EXAMPLESDIR="share/examples/qemu"  
DATADIR="share/qemu"  WWWDIR="www/qemu"  ETCDIR="etc/qemu"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/qemu 
DOCSDIR=/usr/local/share/doc/qemu EXAMPLESDIR=/usr/local/share/examples/qemu  
WWWDIR=/usr/local/www/qemu ETCDIR=/usr/local/etc/qemu
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 10.0.0 
(g...@github.com:llvm/llvm-project.git llvmorg-10.0.0-rc4-5-g52c365aa9ca) 
Target: x86_64-unknown-freebsd13.0 Thread model: posix InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 10.0.0 
(g...@github.com:llvm/llvm-project.git llvmorg-10.0.0-rc4-5-g52c365aa9ca) 
Target: x86_64-unknown-freebsd13.0 Thread model: posix InstalledDir: /usr/bin 
"/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" 
"--hash-style=both" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" 
"/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" 
"-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" 
"-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 10.0.0 
(g...@github.com:llvm/llvm-project.git llvmorg-10.0.0-rc4-5-g52c365aa9ca) 
Target: x86_64-unknown-freebsd13.0 Thread model: posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=amd64
OPSYS=FreeBSD
_OSRELEASE=13.0-CURRENT
OSREL=13.0
OSVERSION=1300085
PYTHONBASE=/usr/local
HAVE_COMPAT_IA32_KERN=YES
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   qemu-cheri-0.d20191209_1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.13.2.txz
[head-amd64-default-job-09] Installing pkg-1.13.2...
[head-amd64-default-job-09] Extracting pkg-1.13.2: .......... done
===>   qemu-cheri-0.d20191209_1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of qemu-cheri-0.d20191209_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by qemu-cheri-0.d20191209_1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by qemu-cheri-0.d20191209_1 for building
=> SHA256 Checksum OK for 
CTSRD-CHERI-qemu-0.d20191209-74235a2879944724c88ad8b400170b8e2b0a6147_GH0.tar.gz.
=> SHA256 Checksum OK for 
CTSRD-CHERI-libslirp-6651ba26c4e94f64d6448a2db4991269ce553bd9_GH0.tar.gz.
=> SHA256 Checksum OK for qemu-keycodemapdb-6b3d716_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by qemu-cheri-0.d20191209_1 for building
===>  Extracting for qemu-cheri-0.d20191209_1
=> SHA256 Checksum OK for 
CTSRD-CHERI-qemu-0.d20191209-74235a2879944724c88ad8b400170b8e2b0a6147_GH0.tar.gz.
=> SHA256 Checksum OK for 
CTSRD-CHERI-libslirp-6651ba26c4e94f64d6448a2db4991269ce553bd9_GH0.tar.gz.
=> SHA256 Checksum OK for qemu-keycodemapdb-6b3d716_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for qemu-cheri-0.d20191209_1
===========================================================================
=======================<phase: build-depends  >============================
===>   qemu-cheri-0.d20191209_1 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.2.1_3.txz
[head-amd64-default-job-09] Installing gmake-4.2.1_3...
[head-amd64-default-job-09] `-- Installing gettext-runtime-0.20.1...
[head-amd64-default-job-09] |   `-- Installing indexinfo-0.3.1...
<snip>
===>   Installing existing package /packages/All/pkgconf-1.6.3,1.txz
[head-amd64-default-job-09] Installing pkgconf-1.6.3,1...
[head-amd64-default-job-09] Extracting pkgconf-1.6.3,1: .......... done
===>   qemu-cheri-0.d20191209_1 depends on package: pkgconf>=1.3.0_1 - found
===>   Returning to build of qemu-cheri-0.d20191209_1
===>   qemu-cheri-0.d20191209_1 depends on file: /usr/local/bin/python3.7 - not 
found
===>   Installing existing package /packages/All/python37-3.7.7.txz
[head-amd64-default-job-09] Installing python37-3.7.7...
[head-amd64-default-job-09] `-- Installing libffi-3.2.1_3...
[head-amd64-default-job-09] `-- Extracting libffi-3.2.1_3: .......... done
[head-amd64-default-job-09] `-- Installing readline-8.0.4...
[head-amd64-default-job-09] `-- Extracting readline-8.0.4: .......... done
[head-amd64-default-job-09] Extracting python37-3.7.7: .......... done
=====
Message from python37-3.7.7:

--
Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

py37-gdbm       databases/py-gdbm@py37
py37-sqlite3    databases/py-sqlite3@py37
py37-tkinter    x11-toolkits/py-tkinter@py37
===>   qemu-cheri-0.d20191209_1 depends on file: /usr/local/bin/python3.7 - 
found
===>   Returning to build of qemu-cheri-0.d20191209_1
===>   qemu-cheri-0.d20191209_1 depends on file: 
/usr/local/libdata/pkgconfig/pixman-1.pc - not found
===>   Installing existing package /packages/All/pixman-0.38.4.txz
[head-amd64-default-job-09] Installing pixman-0.38.4...
[head-amd64-default-job-09] Extracting pixman-0.38.4: .......... done
===>   qemu-cheri-0.d20191209_1 depends on file: 
/usr/local/libdata/pkgconfig/pixman-1.pc - found
===>   Returning to build of qemu-cheri-0.d20191209_1
===========================================================================
=======================<phase: lib-depends    >============================
===>   qemu-cheri-0.d20191209_1 depends on shared library: libcapstone.so - not 
found
===>   Installing existing package /packages/All/capstone-3.0.5.txz
[head-amd64-default-job-09] Installing capstone-3.0.5...
[head-amd64-default-job-09] Extracting capstone-3.0.5: .......... done
===>   qemu-cheri-0.d20191209_1 depends on shared library: libcapstone.so - 
found (/usr/local/lib/libcapstone.so)
===>   Returning to build of qemu-cheri-0.d20191209_1
===>   qemu-cheri-0.d20191209_1 depends on shared library: libdrm.so - not found
===>   Installing existing package /packages/All/libdrm-2.4.99,1.txz
[head-amd64-default-job-09] Installing libdrm-2.4.99,1...
[head-amd64-default-job-09] `-- Installing libpciaccess-0.16...
[head-amd64-default-job-09] |   `-- Installing pciids-20200222...
[head-amd64-default-job-09] |   `-- Extracting pciids-20200222: ..... done
[head-amd64-default-job-09] `-- Extracting libpciaccess-0.16: ......... done
[head-amd64-default-job-09] `-- Installing libxml2-2.9.10...
[head-amd64-default-job-09] `-- Extracting libxml2-2.9.10: .......... done
[head-amd64-default-job-09] Extracting libdrm-2.4.99,1: .......... done
===>   qemu-cheri-0.d20191209_1 depends on shared library: libdrm.so - found 
(/usr/local/lib/libdrm.so)
===>   Returning to build of qemu-cheri-0.d20191209_1
===>   qemu-cheri-0.d20191209_1 depends on shared library: libepoxy.so - not 
found
===>   Installing existing package /packages/All/libepoxy-1.5.2.txz
[head-amd64-default-job-09] Installing libepoxy-1.5.2...
[head-amd64-default-job-09] `-- Installing libX11-1.6.9,1...
[head-amd64-default-job-09] |   `-- Installing libXau-1.0.9...
[head-amd64-default-job-09] |   `-- Extracting libXau-1.0.9: .......... done
[head-amd64-default-job-09] |   `-- Installing libXdmcp-1.1.3...
[head-amd64-default-job-09] |   | `-- Installing xorgproto-2019.2...
[head-amd64-default-job-09] |   | `-- Extracting xorgproto-2019.2: .......... 
done
[head-amd64-default-job-09] |   `-- Extracting libXdmcp-1.1.3: ......... done
[head-amd64-default-job-09] |   `-- Installing libxcb-1.13.1...
[head-amd64-default-job-09] |   | `-- Installing libpthread-stubs-0.4...
[head-amd64-default-job-09] |   | `-- Extracting libpthread-stubs-0.4: .... done
[head-amd64-default-job-09] |   `-- Extracting libxcb-1.13.1: .......... done
[head-amd64-default-job-09] `-- Extracting libX11-1.6.9,1: .......... done
[head-amd64-default-job-09] `-- Installing mesa-libs-18.3.2_4...
[head-amd64-default-job-09] |   `-- Installing expat-2.2.8...
[head-amd64-default-job-09] |   `-- Extracting expat-2.2.8: .......... done
[head-amd64-default-job-09] |   `-- Installing libXdamage-1.1.5...
[head-amd64-default-job-09] |   | `-- Installing libXfixes-5.0.3_2...
[head-amd64-default-job-09] |   | `-- Extracting libXfixes-5.0.3_2: .......... 
done
[head-amd64-default-job-09] |   `-- Extracting libXdamage-1.1.5: ......... done
[head-amd64-default-job-09] |   `-- Installing libXext-1.3.4,1...
[head-amd64-default-job-09] |   `-- Extracting libXext-1.3.4,1: .......... done
[head-amd64-default-job-09] |   `-- Installing libXxf86vm-1.1.4_3...
[head-amd64-default-job-09] |   `-- Extracting libXxf86vm-1.1.4_3: .......... 
done
[head-amd64-default-job-09] |   `-- Installing libunwind-20170615...
[head-amd64-default-job-09] |   `-- Extracting libunwind-20170615: .......... 
done
[head-amd64-default-job-09] |   `-- Installing libxshmfence-1.3...
[head-amd64-default-job-09] |   `-- Extracting libxshmfence-1.3: ......... done
[head-amd64-default-job-09] |   `-- Installing wayland-1.18.0_3...
[head-amd64-default-job-09] |   | `-- Installing libepoll-shim-0.0.20200223...
[head-amd64-default-job-09] |   | `-- Extracting libepoll-shim-0.0.20200223: 
.......... done
[head-amd64-default-job-09] |   `-- Extracting wayland-1.18.0_3: .......... done
[head-amd64-default-job-09] `-- Extracting mesa-libs-18.3.2_4: .......... done
[head-amd64-default-job-09] Extracting libepoxy-1.5.2: .......... done
===>   qemu-cheri-0.d20191209_1 depends on shared library: libepoxy.so - found 
(/usr/local/lib/libepoxy.so)
===>   Returning to build of qemu-cheri-0.d20191209_1
===>   qemu-cheri-0.d20191209_1 depends on shared library: libgnutls.so - not 
found
===>   Installing existing package /packages/All/gnutls-3.6.12.txz
[head-amd64-default-job-09] Installing gnutls-3.6.12...
[head-amd64-default-job-09] `-- Installing ca_root_nss-3.51...
[head-amd64-default-job-09] `-- Extracting ca_root_nss-3.51: ........ done
[head-amd64-default-job-09] `-- Installing gmp-6.2.0...
[head-amd64-default-job-09] `-- Extracting gmp-6.2.0: .......... done
[head-amd64-default-job-09] `-- Installing libidn2-2.3.0_1...
[head-amd64-default-job-09] |   `-- Installing libunistring-0.9.10_1...
[head-amd64-default-job-09] |   `-- Extracting libunistring-0.9.10_1: 
.......... done
[head-amd64-default-job-09] `-- Extracting libidn2-2.3.0_1: .......... done
[head-amd64-default-job-09] `-- Installing libtasn1-4.15.0...
[head-amd64-default-job-09] `-- Extracting libtasn1-4.15.0: .......... done
[head-amd64-default-job-09] `-- Installing nettle-3.5.1_1...
[head-amd64-default-job-09] `-- Extracting nettle-3.5.1_1: .......... done
[head-amd64-default-job-09] `-- Installing p11-kit-0.23.18.1...
[head-amd64-default-job-09] `-- Extracting p11-kit-0.23.18.1: .......... done
[head-amd64-default-job-09] `-- Installing trousers-0.3.14_2...
[head-amd64-default-job-09] |   `-- Installing tpm-emulator-0.7.4_2...
===> Creating groups.
Creating group '_tss' with gid '601'.
===> Creating users
Creating user '_tss' with uid '601'.
[head-amd64-default-job-09] |   `-- Extracting tpm-emulator-0.7.4_2: ......... 
done
===> Creating groups.
Using existing group '_tss'.
===> Creating users
Using existing user '_tss'.
[head-amd64-default-job-09] `-- Extracting trousers-0.3.14_2: .......... done
[head-amd64-default-job-09] Extracting gnutls-3.6.12: .......... done
=====
Message from ca_root_nss-3.51:

--
FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.


This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem
=====
Message from trousers-0.3.14_2:

--
To run tcsd automatically, add the following line to /etc/rc.conf:

tcsd_enable="YES"

You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.

If you want to use tcsd with software TPM emulator, use the following
configuration in /etc/rc.conf:

tcsd_enable="YES"
tcsd_mode="emulator"
tpmd_enable="YES"

To use TPM, add your_account to '_tss' group like following:

# pw groupmod _tss -m your_account
===>   qemu-cheri-0.d20191209_1 depends on shared library: libgnutls.so - found 
(/usr/local/lib/libgnutls.so)
===>   Returning to build of qemu-cheri-0.d20191209_1
===>   qemu-cheri-0.d20191209_1 depends on shared library: libnettle.so - found 
(/usr/local/lib/libnettle.so)
===>   qemu-cheri-0.d20191209_1 depends on shared library: libintl.so - found 
(/usr/local/lib/libintl.so)
===>   qemu-cheri-0.d20191209_1 depends on shared library: libgbm.so - found 
(/usr/local/lib/libgbm.so)
===>   qemu-cheri-0.d20191209_1 depends on shared library: libglib-2.0.so - not 
found
===>   Installing existing package /packages/All/glib-2.56.3_7,1.txz
[head-amd64-default-job-09] Installing glib-2.56.3_7,1...
[head-amd64-default-job-09] `-- Installing pcre-8.43_2...
[head-amd64-default-job-09] `-- Extracting pcre-8.43_2: .......... done
[head-amd64-default-job-09] Extracting glib-2.56.3_7,1: .......... done
No schema files found: doing nothing.
===>   qemu-cheri-0.d20191209_1 depends on shared library: libglib-2.0.so - 
found (/usr/local/lib/libglib-2.0.so)
===>   Returning to build of qemu-cheri-0.d20191209_1
===>   qemu-cheri-0.d20191209_1 depends on shared library: libintl.so - found 
(/usr/local/lib/libintl.so)
===>   qemu-cheri-0.d20191209_1 depends on shared library: libxml2.so - found 
(/usr/local/lib/libxml2.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for qemu-cheri-0.d20191209_1

ERROR: We need to link the QEMU user mode binaries at a
       specific text address. Unfortunately your linker
       doesn't support either the -Ttext-segment option or
       printing the default linker script with --verbose.
       If you don't want the user mode binaries, pass the
       --disable-user option to configure.

===>  Script "configure" failed unexpectedly.
Please report the problem to bro...@freebsd.org [maintainer] and attach the
"/wrkdirs/usr/ports/emulators/qemu-cheri/work/qemu-74235a2879944724c88ad8b400170b8e2b0a6147/config.log"
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. a /usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/emulators/qemu-cheri
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to